Bug 1414845 - null result when deleting orchestration templates using REST API
Summary: null result when deleting orchestration templates using REST API
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: API
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: GA
: 5.8.0
Assignee: Jillian Tullo
QA Contact: Martin Kourim
URL:
Whiteboard: api:rest:stack
Depends On:
Blocks: 1441752
TreeView+ depends on / blocked
 
Reported: 2017-01-19 15:12 UTC by Martin Kourim
Modified: 2018-03-13 08:34 UTC (History)
6 users (show)

Fixed In Version: 5.8.0.8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1441752 (view as bug list)
Environment:
Last Closed: 2017-05-31 14:33:03 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Description Martin Kourim 2017-01-19 15:12:21 UTC
Description of problem:
null result is returned when orchestration template is deleted using REST API:
{
  "results": [
    null,
    null
  ]
}

For other collections (e.g. blueprints) meaningful result is returned:
{
  "results": [
    {
      "success": true,
      "message": "blueprints id: 3 deleting",
      "href": "https://<address>/api/blueprints/3"
    },
    {
      "success": true,
      "message": "blueprints id: 4 deleting",
      "href": "https://<address>/api/blueprints/4"
    }
  ]
}


Version-Release number of selected component (if applicable):
5.7.0.17


How reproducible:
100%


Steps to Reproduce:
1. create orchestration templates
2. delete orchestration templates:

POST /api/orchestration_templates
{
  "action" : "delete",
  "resources" : [
    { "href" : "https://<address>/api/orchestration_templates/:id1" },
    { "href" : "https://<address>/api/orchestration_templates/:id2" }
  ]
}

Comment 2 Jillian Tullo 2017-04-06 15:12:38 UTC
This was fixed by https://github.com/ManageIQ/manageiq/pull/14097/files, but adding tests to verify

Comment 3 Jillian Tullo 2017-04-12 13:13:58 UTC
PR: https://github.com/ManageIQ/manageiq/pull/14678

Comment 5 Martin Kourim 2017-04-19 14:45:17 UTC
Verified that on 5.8.0.10-beta1 meaningful result is returned when deleting orchestration templates

Comment 7 errata-xmlrpc 2017-05-31 14:33:03 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.